Loading...
Searching...
No Matches
vorbis_parser.h File Reference

A public API for Vorbis parsing. More...

`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | VORBIS_FLAG_HEADER 0x00000001
#define | VORBIS_FLAG_COMMENT 0x00000002
#define | VORBIS_FLAG_SETUP 0x00000004

## Typedefs

typedef struct AVVorbisParseContext | AVVorbisParseContext

## Functions

AVVorbisParseContext * | av_vorbis_parse_init (const uint8_t *extradata, int extradata_size)
| Allocate and initialize the Vorbis parser using headers in the extradata.
void | av_vorbis_parse_free (AVVorbisParseContext **s)
| Free the parser and everything associated with it.
int | av_vorbis_parse_frame_flags (AVVorbisParseContext *s, const uint8_t *buf, int buf_size, int *flags)
| Get the duration for a Vorbis packet.
int | av_vorbis_parse_frame (AVVorbisParseContext *s, const uint8_t *buf, int buf_size)
| Get the duration for a Vorbis packet.
void | av_vorbis_parse_reset (AVVorbisParseContext *s)

## Detailed Description

A public API for Vorbis parsing.

Determines the duration for each packet.

Definition in file vorbis_parser.h.

## Macro Definition Documentation

## VORBIS_FLAG_HEADER

#define VORBIS_FLAG_HEADER 0x00000001

Definition at line 44 of file vorbis_parser.h.

## VORBIS_FLAG_COMMENT

#define VORBIS_FLAG_COMMENT 0x00000002

Definition at line 45 of file vorbis_parser.h.

## VORBIS_FLAG_SETUP

#define VORBIS_FLAG_SETUP 0x00000004

Definition at line 46 of file vorbis_parser.h.

## Typedef Documentation

## AVVorbisParseContext

typedef struct AVVorbisParseContext AVVorbisParseContext

Definition at line 31 of file vorbis_parser.h.

## Function Documentation

## av_vorbis_parse_init()

AVVorbisParseContext * av_vorbis_parse_init | ( | const uint8_t * | extradata,
|  | int | extradata_size )

Allocate and initialize the Vorbis parser using headers in the extradata.

## av_vorbis_parse_free()

void av_vorbis_parse_free | ( | AVVorbisParseContext ** | s | ) |

Free the parser and everything associated with it.

## av_vorbis_parse_frame_flags()

int av_vorbis_parse_frame_flags | ( | AVVorbisParseContext * | s,
|  | const uint8_t * | buf,
|  | int | buf_size,
|  | int * | flags )

Get the duration for a Vorbis packet.

If `flags` is `NULL`, special frames are considered invalid.

Parameters

  s | Vorbis parser context
  buf | buffer containing a Vorbis frame
  buf_size | size of the buffer
  flags | flags for special frames

## av_vorbis_parse_frame()

int av_vorbis_parse_frame | ( | AVVorbisParseContext * | s,
|  | const uint8_t * | buf,
|  | int | buf_size )

Get the duration for a Vorbis packet.

Parameters

  s | Vorbis parser context
  buf | buffer containing a Vorbis frame
  buf_size | size of the buffer

## av_vorbis_parse_reset()

void av_vorbis_parse_reset | ( | AVVorbisParseContext * | s | ) |